C# と VB.NET の質問掲示板

ASP.NET、C++/CLI、Java 何でもどうぞ

C# と VB.NET の入門サイト

WebBrowserのスクリプトエラー

[トピック内 4 記事 (1 - 4 表示)]  << 0 >>

■83942 / inTopicNo.1)  WebBrowserのスクリプトエラー
  
□投稿者/ JOY (1回)-(2017/04/26(Wed) 11:49:46)

分類:[VB.NET/VB2005 以降] 

VB2008で、WebBrowserコントロールを使ったWindowsアプリを作成しました。

ただ、WebBrowserでjQueryを使用しているサイトを表示しようとすると、
「jQueryが定義されていない」というようなスクリプトエラーが出ます。

WebBrowserはIEのエンジンが使われていると聞いたことがありますが、
自分のPC(Windows7)のIE(IE11)では問題なく表示されているので、
WebBrowserのIEは古いものなのでしょうか?
引用返信 編集キー/
■83944 / inTopicNo.2)  Re[1]: WebBrowserのスクリプトエラー
□投稿者/ WebSurfer (1224回)-(2017/04/26(Wed) 12:16:58)
No83942 (JOY さん) に返信

.NET Framework の WebBrowser コントロールで動く IE はデフォルトでバージョン 7 相当です。

WebBrowserコントロールのIEバージョン
http://www2.hatenadiary.jp/entry/2013/12/20/114342

Web Browser Control &#8211; Specifying the IE Version
http://weblog.west-wind.com/posts/2011/May/21/Web-Browser-Control-Specifying-the-IE-Version

webbrowser ie version などをキーワードに検索すると、他にもいろいろ参考になるページが見つか
ると思いますので自分でも調べてみてください。

> 「jQueryが定義されていない」というようなスクリプトエラーが出ます。

jQuery ではなくて JSON とかではないですか? jQuery ということですと、jQuery のスクリプト
ファイルが読み込まれてないということで、IE のバージョンの問題とは違うような気がしますが。

何にせよ、上に紹介した記事にもありますが、レジストリをいじって IE のバージョンを指定する
方法がありますので試してみてください。
引用返信 編集キー/
■83948 / inTopicNo.3)  Re[1]: WebBrowserのスクリプトエラー
□投稿者/ 大谷刑部 (28回)-(2017/04/26(Wed) 15:52:43)
No83942 (JOY さん) に返信
> VB2008で、WebBrowserコントロールを使ったWindowsアプリを作成しました。
>
> ただ、WebBrowserでjQueryを使用しているサイトを表示しようとすると、
> 「jQueryが定義されていない」というようなスクリプトエラーが出ます。
>
> WebBrowserはIEのエンジンが使われていると聞いたことがありますが、
> 自分のPC(Windows7)のIE(IE11)では問題なく表示されているので、
> WebBrowserのIEは古いものなのでしょうか?

https://www.demo.co.jp/blog/archives/1565/
を見るとscriptタグの記載順でエラーになったりすることもあるみたいなので、
IEのバージョンが影響することは一般論としてあり得るかもしれませんね。

WebBrowserコントロールはIE7ベースです。
なのでたとえIE11がインストールされていても、
要は互換表示と同じ動きになると思います。

jQueryに限らず、IE9以降とかにjavascript使える機能は一律使えないので、
WebBrowserコントロール使用そのものがお勧めできません。
要するにIE7時代と同じ実装をしないとあらゆるところが動かないので。



引用返信 編集キー/
■83949 / inTopicNo.4)  Re[2]: WebBrowserのスクリプトエラー
□投稿者/ Hongliang (534回)-(2017/04/26(Wed) 16:11:07)
> jQueryに限らず、IE9以降とかにjavascript使える機能は一律使えないので、
> WebBrowserコントロール使用そのものがお勧めできません。
> 要するにIE7時代と同じ実装をしないとあらゆるところが動かないので。

WebSurferさんが提示されているリンク先に記述されている通り、対応バージョンは変更可能ですが。
引用返信 編集キー/

このトピックをツリーで一括表示


トピック内ページ移動 / << 0 >>

このトピックに書きこむ